SLADIV(3f)

NAME
SLADIV - complex division in real arithmetic a + i*b p + i*q = --------- c + i*d The algorithm is due to Robert L

SYNOPSIS

SUBROUTINE SLADIV(
    A, B, C, D, P, Q )

REAL
    A, B, C, D, P, Q

PURPOSE
SLADIV performs complex division in real arithmetic in D. Knuth, The art of Computer Programming, Vol.2, p.195

ARGUMENTS

A       (input) REAL
    B (input) REAL C (input) REAL D (input) REAL The scalars a, b, c, and d in the above expression.

P       (output) REAL
    Q (output) REAL The scalars p and q in the above expression.